Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class AutoEndorseConstraintNode_c

    java.lang.Object
      polyglot.ast.Node_c
          jif.ast.ConstraintNode_c
              jif.ast.AutoEndorseConstraintNode_c

All Implemented Interfaces:
  java.lang.Cloneable, AutoEndorseConstraintNode, ConstraintNode, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.util.Copy

    public class AutoEndorseConstraintNode_c

extends ConstraintNode_c
implements AutoEndorseConstraintNode

Field Summary
`protected LabelNode` | `endorseTo`

Fields inherited from class jif.ast.ConstraintNode_c
`constraints`

Fields inherited from class polyglot.ast.Node_c
`del, error, ext, position`

Constructor Summary
`AutoEndorseConstraintNode_c(polyglot.util.Position pos, LabelNode endorseTo)`

Method Summary
`polyglot.ast.Node` | `disambiguate(polyglot.visit.AmbiguityRemover ar)`
`LabelNode` | `endorseTo()`
`AutoEndorseConstraintNode` | `endorseTo(LabelNode endorseTo)`
`void` | `prettyPrint(polyglot.util.CodeWriter w, polyglot.visit.PrettyPrinter tr)`
`protected AutoEndorseConstraintNode_c` | `reconstruct(LabelNode endorseTo)`
`void` | `translate(polyglot.util.CodeWriter w, polyglot.visit.Translator tr)`
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

Methods inherited from class jif.ast.ConstraintNode_c
`constraint, constraint, constraints, constraints, exceptionCheckEnter, isDisambiguated, setConstraint, toString`

Methods inherited from class polyglot.ast.Node_c
`addDecls, buildTypes, buildTypesEnter, checkConstants, childExpectedType, copy, copy, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, dump, enterChildScope, enterScope, error, error, exceptionCheck, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jif.ast.ConstraintNode
`constraints, constraints`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, throwTypes, typeCheck, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Field Detail

### endorseTo

    protected LabelNode endorseTo

Constructor Detail

### AutoEndorseConstraintNode_c

    public AutoEndorseConstraintNode_c(polyglot.util.Position pos,
                                       LabelNode endorseTo)

Method Detail

### endorseTo

    public LabelNode endorseTo()

  Specified by:
    `endorseTo` in interface `AutoEndorseConstraintNode`

### endorseTo

    public AutoEndorseConstraintNode endorseTo(LabelNode endorseTo)

  Specified by:
    `endorseTo` in interface `AutoEndorseConstraintNode`

### reconstruct

    protected AutoEndorseConstraintNode_c reconstruct(LabelNode endorseTo)

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ast.Node_c`

### disambiguate

    public polyglot.ast.Node disambiguate(polyglot.visit.AmbiguityRemover ar)
                                   throws polyglot.types.SemanticException

  Specified by:
    `disambiguate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `disambiguate` in class `polyglot.ast.Node_c`
  Throws:
    `polyglot.types.SemanticException`

### prettyPrint

    public void prettyPrint(polyglot.util.CodeWriter w,
                            polyglot.visit.PrettyPrinter tr)

  Specified by:
    `prettyPrint` in interface `polyglot.ast.NodeOps`
  Overrides:
    `prettyPrint` in class `polyglot.ast.Node_c`

### translate

    public void translate(polyglot.util.CodeWriter w,
                          polyglot.visit.Translator tr)

  Specified by:
    `translate` in interface `polyglot.ast.NodeOps`
  Overrides:
    `translate` in class `polyglot.ast.Node_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD